> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/analytics.md).

# Analytics

The following endpoints allow you to get analytics data for your organization. Make uses the analytics data to create [analytics dashboards](https://www.make.com/en/help/general/analytics-dashboard).

## Get organization analytics

> Gets analytics data for the specified organization. This feature is available only for organizations with the Enterprise plan. You can get analytics data only for organizations where you have the "Owner" organization role. Otherwise, you get the 403 error.\
> \
> The data entries in the response are sorted by the amount of operations used by a scenario in ascending order. Specify different sorting with the \`sortBy\` parameter. You can use query parameters (like \`timeframe\[dateFrom]\`, \`timeframe\[dateTo]\` or \`teamId\`) to refine the results and pagination to navigate through a large number of entries.\
> \
> Make keeps the analytics data for a maximum of 30 days for non-Enterprise plans and 60 days for Enterprise plans. The default time frame reflects the maximum available for your plan.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Analytics","description":"The following endpoints allow you to get analytics data for your organization. Make uses the analytics data to create [analytics dashboards](https://www.make.com/en/help/general/analytics-dashboard)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["analytics:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/analytics/{organizationId}":{"get":{"tags":["Analytics"],"summary":"Get organization analytics","description":"Gets analytics data for the specified organization. This feature is available only for organizations with the Enterprise plan. You can get analytics data only for organizations where you have the \"Owner\" organization role. Otherwise, you get the 403 error.\n\nThe data entries in the response are sorted by the amount of operations used by a scenario in ascending order. Specify different sorting with the `sortBy` parameter. You can use query parameters (like `timeframe[dateFrom]`, `timeframe[dateTo]` or `teamId`) to refine the results and pagination to navigate through a large number of entries.\n\nMake keeps the analytics data for a maximum of 30 days for non-Enterprise plans and 60 days for Enterprise plans. The default time frame reflects the maximum available for your plan.\n","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"teamId","in":"query","description":"IDs of the teams for which you want to get the analytics data.\n","schema":{"oneOf":[{"type":"integer"},{"type":"array","items":{"type":"integer"}}]}},{"name":"folderId","in":"query","description":"IDs of the scenario folders for which you want to get the analytics data.\n","schema":{"oneOf":[{"type":"integer"},{"type":"array","items":{"type":"integer"}}]}},{"name":"status","in":"query","description":"You can use the `status` parameter to get analytics data about scenarios with specific scenario statuses. The available scenario statuses are:\n\n- `active`: scenario is enabled\n- `inactive`: scenario is disabled\n- `invalid`: scenario is disabled due to errors\n","schema":{"oneOf":[{"type":"string","enum":["active","invalid","inactive"]},{"type":"array","items":{"type":"string","enum":["active","invalid","inactive"]}}]}},{"name":"timeframe[dateFrom]","in":"query","description":"Use the `timeframe[dateFrom]` parameter to get analytics data from the specified date. Specify the date and time in the ISO 8601 compliant format.\n\nThe default is the date since one year from today. You can't use a date older than a year from today.\n","schema":{"type":"string","format":"date-time"}},{"name":"timeframe[dateTo]","in":"query","description":"Use the `timeframe[dateTo]` parameter to get analytics data until the specified date. Specify the date and time in the ISO 8601 compliant format.\n\nThe default is to get data until today.\n","schema":{"type":"string","format":"date-time"}},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The number of entities you want to skip before getting entities you want."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"The maximum number of entities you want to get in the response."},{"name":"pg[last]","in":"query","schema":{"type":"integer"},"description":"The last retrieved key. In response, you get only entries that follow after the key."},{"schema":{"type":"string","enum":["name","teamName","status","operations","executions","errors","errorRate","executionsChange","operationsChange","errorsChange","errorRateChange"]},"description":"Specify which property Make will use to sort the analytics entries in the response. The default is `operations`.","name":"pg[sortBy]","in":"query"},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[returnTotalCount]","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to get also the total number of analytics entries in the response."}],"responses":{"200":{"description":"Analytics entries for the specified organization.","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"object","properties":{"executions":{"type":"integer","minimum":0},"operations":{"type":"integer","minimum":0},"centicredits":{"type":"string","description":"Bigint number as a string to avoid precision issues in JavaScript.","minimum":0},"errors":{"type":"integer","minimum":0},"errorRate":{"type":"number","description":"Percentage. Available only when it can be calculated."},"executionsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"operationsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"centicreditsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"errorsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"errorRateChange":{"type":"number","description":"Percentage. Available only when it can be calculated."}}},"analytics":{"type":"array","items":{"allOf":[{"type":"object","properties":{"executions":{"type":"integer","minimum":0},"operations":{"type":"integer","minimum":0},"centicredits":{"type":"string","description":"Bigint number as a string to avoid precision issues in JavaScript.","minimum":0},"errors":{"type":"integer","minimum":0},"errorRate":{"type":"number","description":"Percentage. Available only when it can be calculated."},"executionsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"operationsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"centicreditsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"errorsChange":{"type":"number","description":"Percentage. Available only when it can be calculated."},"errorRateChange":{"type":"number","description":"Percentage. Available only when it can be calculated."}}},{"type":"object","properties":{"imtId":{"type":"string"},"id":{"type":"number"},"name":{"type":"string"},"status":{"type":"string","enum":["active","invalid","inactive"]},"teamId":{"type":"number"},"teamName":{"type":"string"}}}]}},"pg":{"allOf":[{"type":"object","properties":{"last":{"type":"string","description":"Shown only when using the `last` based pagination."},"showLast":{"type":"boolean","description":"Shown only when using the `last` based pagination."},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer","description":"Shown only when using the `offset` based pagination."}}},{"type":"object","properties":{"totalCount":{"type":"integer","description":"The number of analytics entries for the given query."}}}]}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
